DC4800 asks for firmware 1.03